## grig 0.8.1

=== win32/Makefile ===
# Makefile for cross-compiling grig for win32 on Linux,
# using mingw compiler

include config.mk

# directories
topsrc = ..
grigdir = $(topsrc)/src

# tools
CC = $(MGW_PREFIX)gcc -Wall -O2 -mms-bitfields -DWIN32
AS = $(MGW_PREFIX)as
DLLWRAP = $(MGW_PREFIX)dllwrap
DLLWRAP_FLAGS = --as=$(AS) --export-all --driver-name $(CC) -s
RC = $(MGW_PREFIX)windres
RCFLAGS = --define __WIN32__ --define __WIN95__ --define MSRC \
	--define __GNUWIN32__


# libraries
GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0 gthread-2.0)
GUI_LIBS = $(GTKLIBS) $(GLIBLIB)
LIBS = -lm

# flags/defines
CFLAGS = -DVERSION=\"0.8.0\" -DHAVE_GETOPT_H -I. -I$(grigdir) -I$(CROSSDIR)/include
GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0)
#GTK_CFLAGS := `pkg-config --cflags gtk+-win32-2.0`


# source paths
vpath %.c $(grigdir)
vpath %.rc $(topsrc)/win32

#### End of sys conf section

GRIGSRC = \
        compat.c \
        grig-about.c \
        grig-config.c \
        grig-debug.c \
        grig-gtk-workarounds.c \
        grig-menubar.c \
	key-press-handler.c \
        main.c \
        rig-anomaly.c \
        rig-daemon.c \
        rig-daemon-check.c \
        rig-data.c \
        rig-gui-buttons.c \
        rig-gui.c \
        rig-gui-ctrl2.c \
        rig-gui-info.c \
        rig-gui-lcd.c \
        rig-gui-levels.c \
        rig-gui-message-window.c \
        rig-gui-rx.c \
        rig-gui-smeter.c \
        rig-gui-smeter-conv.c \
        rig-gui-tx.c \
        rig-gui-vfo.c \
        rig-selector.c \
        rig-state.c \
        rig-utils.c

GRIGOBJ = $(GRIGSRC:.c=.o)


OBJS = $(GRIGOBJ)

%.o: %.c
	$(CC) -c $(CFLAGS) $(GTK_CFLAGS) $<
	$(CC) -MM $(CFLAGS) $(GTK_CFLAGS) $< > $*.d 

# targets begin

all: grig.exe

grig.exe: $(GRIGOBJ) grig_res.o $(CROSSDIR)/lib/libhamlib-2.lib
	$(CC) -mconsole -o $@ $^ $(GUI_LIBS) $(LIBS) -lmingwex -s

grig_res.o: grig.rc 
	$(RC) $(RCFLAGS) $< $@


clean:
	rm -f *.o *.d *.def *.exe

## grig 0.7.2

=== debian/changelog ===
grig (0.7.2-5) unstable; urgency=low

  * Do not define GDK_DISABLE_DEPRECATED since we do use deprecated
    gdk calls and need their prototypes (LP: #770765).
  * Clean up debian/patches; do not patch in intltool-*.
  * New Debian maintainer (Closes: #553658).

 -- Kamal Mostafa <kamal@whence.com>  Mon, 11 Jul 2011 12:07:25 -0700

grig (0.7.2-4) unstable; urgency=low

  * QA upload.
  * Patch segfault_on_click: fix segfault on amd64 when clicking in the
    numerical panel. Thanks a lot to Kamal Mostafa from ubuntu for
    sending in the patch! (closes: #568648).
  * Source format 3.0 (quilt)
  * DH compat level 5 (no change)
  * Standards-level 3.9.0 (no change)
  * Added dependency on ${misc:Depends}.
  * debian/watch: use sf redirector.
  * Removed empty postinst and postrm from the source package
  * debian/rules: link config.{guess,sub} from autotools-dev in the 
    config.status target, restore in the clean target. Remove diff
    concerning config.{sub,guess} from patch debian-changes-0.7.2-4.
  * debian/copyright: proper copyright notice!

 -- Ralf Treinen <treinen@debian.org>  Mon, 28 Jun 2010 22:19:49 +0200

grig (0.7.2-3) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 01 Nov 2009 19:26:37 +0000

grig (0.7.2-2) unstable; urgency=low

  * Confirm upload, thanks Cyril! Closes :#444514.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 13 Nov 2007 20:00:36 +0100

grig (0.7.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove “-DGTK_DISABLE_DEPRECATED” from src/Makefile.{am,in} to avoid FTBFS
    due to the transition to Gtk 2.12 (Closes: #444514).
  * Move the menu section from “Apps/Hamradio” to “Applications/Amateur Radio”
    as part of the menu transition.
  * No longer ignore “make distclean” errors, per lintian.
  * Improve the copyright by adding the GPLv2 blurb, add a link to the exact
    location of the license, and add copyright years.
  * Also modify Makefile.{am,in} not to ship COPYING.
  * Add a “Homepage” field in the control file.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 09 Oct 2007 16:25:48 +0200

grig (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 18 Dec 2006 09:47:08 +0100

grig (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 25 Jul 2006 00:03:43 +0200

grig (0.7.0-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 11 Jul 2006 10:09:27 +0200

grig (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Use libhamlib-dev as a build dependency from now on.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 21 Apr 2006 16:29:32 +0200

grig (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU. Closes: #346624.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 21 Jan 2006 19:36:38 +0100

grig (0.4.2-4.1) unstable; urgency=low

  * NMU for xlibs-dev removal; closes: 346624.

 -- Justin Pryzby <justinpryzby@users.sf.net>  Sat, 14 Jan 2006 11:09:11 -0500

grig (0.4.2-4) unstable; urgency=low

  * Use a recent config.guess, config.sub. Closes: #338254.
  * Migrate to debhelper.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  9 Nov 2005 09:09:51 +0100

grig (0.4.2-3) unstable; urgency=low

  * Oops. Correct the Build-Depends line.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  5 Apr 2005 19:06:22 +0200

grig (0.4.2-2) unstable; urgency=low

  * Recompile against latest hamlib.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue,  5 Apr 2005 08:50:58 +0200

grig (0.4.2-1) unstable; urgency=low

  * New upstream release

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 13 Feb 2005 21:02:03 +0100

grig (0.4.1-2) unstable; urgency=low

  * Requires libxml-parser-perl to build.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 28 Jan 2005 15:51:03 +0100

grig (0.4.1-1) unstable; urgency=low

  * New upstream release.
  * This is a GTK+ version 2 build, so we can remove README.debian, which
    would describe the use of gconfd-1.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 27 Jan 2005 18:29:15 +0100

grig (0.2.2-17) unstable; urgency=low

  * Lintian fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 24 Jan 2005 20:51:56 +0100

grig (0.2.2-16) unstable; urgency=low

  * Remove libdb3-dev build dependency. Closes: #289473.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 10 Jan 2005 16:05:26 +0100

grig (0.2.2-15) unstable; urgency=low

  * Recompile against latest hamlib.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu,  9 Dec 2004 17:32:09 +0100

grig (0.2.2-14) unstable; urgency=low

  * Correct the watch file.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  4 Oct 2004 20:08:26 +0200

grig (0.2.2-13) unstable; urgency=low

  * Compile against latest hamlib.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun,  3 Oct 2004 09:17:59 +0200

grig (0.2.2-12) unstable; urgency=low

  * Watch file added.
  * Changed the tooltip for APF level to Audio Peak Filter Level.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun,  8 Aug 2004 12:30:37 +0200

grig (0.2.2-11) unstable; urgency=low

  * Another round of build dependencies. Maybe gnome1 developement library
    dependencies are broken, except on i386?

 -- Joop Stakenborg <pa3aba@debian.org>  Sun,  1 Aug 2004 20:11:02 +0200

grig (0.2.2-10) unstable; urgency=low

  * Add orbit to build dependencies.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 31 Jul 2004 23:49:33 +0200

grig (0.2.2-9) unstable; urgency=low

  * Fix build dependencies.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 31 Jul 2004 20:06:44 +0200

grig (0.2.2-8) unstable; urgency=low

  * Better tooltips. Also, adjust height/width of the optionmenus, so the
    labels fit. Closes: #260909. Don't know what APF level means though,
    sorry.
  * Add --help to the manual page and README.debian. Closes: #260906.
  * Explain the use of gconfd-1 by grig in the manual page and README.debian.


=== debian/control ===
Source: grig
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 5.0.0), libhamlib-dev, libgtk2.0-dev (>=2.4.0),
 libxml-parser-perl, autotools-dev
Homepage: http://groundstation.sourceforge.net/grig/

Package: grig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical user interface to the Ham Radio Control Libraries
 Gnome RIG is a graphical user interface to the Ham Radio Control Libraries,
 which lets you control your communication radios and/or antenna rotators from
 a personal computer. Gnome RIG is written using the Gtk+ and Gnome widgets.
 .
 Gnome RIG is in a very early stage and it supports only a very little subset
 of the full Hamlib API, but it can be very useful in testing basic hamlib
 support for your rig.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	[ -h config.guess ] || { mv config.guess config.guess.upstream; \
		ln -s /usr/share/misc/config.guess; }
	[ -h config.sub ] || { mv config.sub config.sub.upstream; \
		ln -s /usr/share/misc/config.sub; }
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -h  config.guess ] || mv config.guess.upstream config.guess
	[ ! -h  config.sub ] || mv config.sub.upstream config.sub
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f intltool-update intltool-merge intltool-extract
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/grig.
	$(MAKE) install prefix=`pwd`/debian/grig/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## grig 0.8.0

=== debian/changelog ===
grig (0.8.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/glib-deprecated.patch: Don't call deprecated glib functions
    and use the new gthread API. (Closes: #707386)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 May 2013 18:13:50 +0200

grig (0.8.0-1) unstable; urgency=low

  * New upstream release.
  * Dropped debian/patches which have been applied upstream.
  * Added Depends: intltool (>= 0.33).

 -- Kamal Mostafa <kamal@whence.com>  Fri, 26 Aug 2011 18:40:21 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Kamal Mostafa <kamal@whence.com>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>> 5.0.0), libhamlib-dev, libgtk2.0-dev (>=2.4.0),
+Build-Depends: debhelper (>> 5.0.0), intltool (>= 0.33), libhamlib-dev, libgtk2.0-dev (>=2.4.0),
  libxml-parser-perl, autotools-dev
 Homepage: http://groundstation.sourceforge.net/grig/

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,9 @@
 	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
 
-build: build-stamp
-
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:  config.status
 	dh_testdir
 	$(MAKE)

## grig 0.8.1

=== debian/changelog ===
grig (0.8.1-2) unstable; urgency=medium

  * Bump Standards Version 4.0.0
  * Added grig.desktop file (LP: #1587984, #898847)
  * Added XPM icons (ic910.xpm, grig-logo.xpm)
  * Removed debian/menu file
  * Fixed spelling errors: succesful, arguments

 -- Ervin Hegedus <airween@gmail.com>  Fri, 04 Aug 2017 20:46:29 +0200

grig (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed debian/patches/glib-deprecated.patch - new upstream source
    contains it.
  * Changed 'dh_clean -k' to 'dh_prep' in debian/rules.
  * Formatted 'debian/copyright' file to Debian copyright-format standard.
  * Upgraded compat version to 9 in 'debian/compat'
  * Added grig-dbgsym section in 'debian/control' file.
  * fixed spelling error: mesages to messages

 -- Ervin Hegedus <airween@gmail.com>  Wed, 30 Mar 2016 20:16:53 +0200

=== debian/control ===
Source: grig
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>, Ervin Hegedus <airween@gmail.com>
Standards-Version: 4.0.0
Build-Depends: debhelper (>> 9.0.0), intltool (>= 0.50), libhamlib-dev, libgtk2.0-dev (>=2.24.0),
 libxml-parser-perl, autotools-dev
Homepage: http://groundstation.sourceforge.net/grig/

Package: grig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical user interface to the Ham Radio Control Libraries
 GNOME RIG is a graphical user interface to the Ham Radio Control Libraries,
 which lets you control your communication radios and/or antenna rotators from
 a personal computer. GNOME RIG is written using the Gtk+ and GNOME widgets.
 .
 GNOME RIG is in a very early stage and it supports only a very little subset
 of the full Hamlib API, but it can be very useful in testing basic hamlib
 support for your rig.

=== debian/rules ===
--- 
+++ 
@@ -54,12 +54,11 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/grig.
 	$(MAKE) install prefix=`pwd`/debian/grig/usr
-
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -72,7 +71,7 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs
 	dh_installexamples
-#	dh_install
+	dh_install
 	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate

=== debian/watch ===
version=3
http://sf.net/groundstation/grig-(.+)\.tar\.gz

## grig 0.9.0

=== debian/changelog ===
grig (0.9.0-3) unstable; urgency=medium

  * Team upload.
  * src/rig-selector.c: Rename "connect" to avoid clash with libc function.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Feb 2025 11:31:28 +0000

grig (0.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * Rework package description, notably dropping the mention of rotators which
    grig doesn't control.
  * Point homepage at GitHub.

  [ tony mancill ]
  * Add patch to build against gettext 0.23 (Closes: #1092227)
  * Set Rules-Requires-Root: no in debian/control
  * Bump Standards Version 4.7.0
  * Update debian/upstream/metadata for Github upstream

 -- tony mancill <tmancill@debian.org>  Sat, 18 Jan 2025 20:29:56 -0800

grig (0.9.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Repository.

  [ Daniele Forsi ]
  * Build using hardening options.
  * Drop unused build dependency on libxml-parser-perl.

  [ Christoph Berg ]
  * New upstream version 0.9.0. (Closes: #1026633)
  * DH 13.
  * Repoint watch file at GitHub.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Jan 2023 20:19:13 +0200

grig (0.8.1-6) unstable; urgency=medium

  * Team upload.

  [ Daniele Forsi ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 10.
  * Remove Build-Depends on autotools-dev unneeded since debhelper 10.

  [ Christoph Berg ]
  * Remove Kamal from Uploaders. Thanks for your work!

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 18:29:09 +0100

grig (0.8.1-5) unstable; urgency=medium

  * Fix more occurrences of MAXDBLSTSIZ for Hamlib 4.3.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Oct 2021 15:21:03 +0200

grig (0.8.1-4) unstable; urgency=medium

  * Team upload.

  [ Daniele Forsi ]
  * Fix syntax error in .desktop file.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on intltool and libgtk2.0-dev.

  [ Christoph Berg ]
  * Fix compatibility with Hamlib 4.3, several macros were renamed to include
    a HAMLIB_ prefix.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Oct 2021 22:07:24 +0200

grig (0.8.1-3) unstable; urgency=medium

  * Team upload.

  [ Ervin Hegedus ]
  * Fix compatibility with hamlib 4.0.

  [ Christoph Berg ]
  * Import package into git.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Jan 2021 23:48:35 +0100

=== debian/control ===
Source: grig
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Ervin Hegedus <airween@gmail.com>,
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 intltool,
 libgtk2.0-dev,
 libhamlib-dev,
Homepage: https://github.com/fillods/grig
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/grig
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/grig.git
Rules-Requires-Root: no

Package: grig
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Ham Radio Control Application
 Grig is a simple Ham Radio control (CAT) program based on the Ham Radio
 Control Libraries (Hamlib). It is intended to be simple and generic,
 presenting the user with the same graphical user interface regardless of which
 radio they use. Grig supports the most commonly used CAT commands that are
 implemented by Hamlib.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# remove uninteresting doc files from /usr/share/grig
	rm -rfv debian/grig/usr/share/grig
